Get the previews of a shot

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/shots/{shot_id}/preview-files

Get the preview files of a shot. The response is a map of task type identifiers to lists of previews.

Path parameters

  • shot_id string(uuid) Required

    Unique identifier of the shot

Responses

  • 200 application/json

    A map of task type identifiers to lists of previews

    Hide response attribute Show response attribute object
    • * array[object] Additional properties
      Hide * attributes Show * attributes object
      • id string(uuid)
      • revision integer
      • file_id string(uuid)
  • 403

    You do not have access to this project, or you are a vendor without a task on this entity

  • 404

    The shot does not exist

GET /data/shots/{shot_id}/preview-files
curl -X GET "http://api.example.com/data/shots/a24a6ea4-ce75-4665-a070-57453082c25/preview-files" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/shots/a24a6ea4-ce75-4665-a070-57453082c25/preview-files"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "a24a6ea4-ce75-4665-a070-57453082c250": [
    {
      "id": "b24a6ea4-ce75-4665-a070-57453082c250",
      "revision": 3,
      "file_id": "c24a6ea4-ce75-4665-a070-57453082c250"
    }
  ]
}